gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Structs.ParseLocation

Contents

- Exported types
- Methods
- Properties
  - bytes
  - chars
  - lineBytes
  - lineChars
  - lines

Description

A location in a parse buffer.

Synopsis

- newtype ParseLocation = ParseLocation (ManagedPtr ParseLocation)
- newZeroParseLocation :: MonadIO m => m ParseLocation
- getParseLocationBytes :: MonadIO m => ParseLocation -> m CSize
- setParseLocationBytes :: MonadIO m => ParseLocation -> CSize -> m ()
- getParseLocationChars :: MonadIO m => ParseLocation -> m CSize
- setParseLocationChars :: MonadIO m => ParseLocation -> CSize -> m ()
- getParseLocationLineBytes :: MonadIO m => ParseLocation -> m CSize
- setParseLocationLineBytes :: MonadIO m => ParseLocation -> CSize -> m ()
- getParseLocationLineChars :: MonadIO m => ParseLocation -> m CSize
- setParseLocationLineChars :: MonadIO m => ParseLocation -> CSize -> m ()
- getParseLocationLines :: MonadIO m => ParseLocation -> m CSize
- setParseLocationLines :: MonadIO m => ParseLocation -> CSize -> m ()

# Exported types

newtype ParseLocation Source #

Memory-managed wrapper type.

Constructors

ParseLocation (ManagedPtr ParseLocation) |

#### Instances

Instances details

Eq ParseLocation Source # |
Instance details Defined in GI.Gsk.Structs.ParseLocation Methods (==) :: ParseLocation -> ParseLocation -> Bool Source # (/=) :: ParseLocation -> ParseLocation -> Bool Source #
BoxedPtr ParseLocation Source # |
Instance details Defined in GI.Gsk.Structs.ParseLocation Methods boxedPtrCopy :: ParseLocation -> IO ParseLocation Source # boxedPtrFree :: ParseLocation -> IO () Source #
CallocPtr ParseLocation Source # |
Instance details Defined in GI.Gsk.Structs.ParseLocation Methods boxedPtrCalloc :: IO (Ptr ParseLocation) Source #
ManagedPtrNewtype ParseLocation Source # |
Instance details Defined in GI.Gsk.Structs.ParseLocation Methods toManagedPtr :: ParseLocation -> ManagedPtr ParseLocation Source #
tag ~ 'AttrSet => Constructible ParseLocation tag Source # |
Instance details Defined in GI.Gsk.Structs.ParseLocation Methods new :: MonadIO m => (ManagedPtr ParseLocation -> ParseLocation) -> [AttrOp ParseLocation tag] -> m ParseLocation Source #

newZeroParseLocation :: MonadIO m => m ParseLocation Source #

Construct a `ParseLocation` struct initialized to zero.

# Methods

# Properties

## bytes

the offset of the location in the parse buffer, as bytes

getParseLocationBytes :: MonadIO m => ParseLocation -> m CSize Source #

Get the value of the “`bytes`” field. When overloading is enabled, this is equivalent to

    get parseLocation #bytes

setParseLocationBytes :: MonadIO m => ParseLocation -> CSize -> m () Source #

Set the value of the “`bytes`” field. When overloading is enabled, this is equivalent to

    set parseLocation [ #bytes := value ]

## chars

the offset of the location in the parse buffer, as characters

getParseLocationChars :: MonadIO m => ParseLocation -> m CSize Source #

Get the value of the “`chars`” field. When overloading is enabled, this is equivalent to

    get parseLocation #chars

setParseLocationChars :: MonadIO m => ParseLocation -> CSize -> m () Source #

Set the value of the “`chars`” field. When overloading is enabled, this is equivalent to

    set parseLocation [ #chars := value ]

## lineBytes

the position in the line, as bytes

getParseLocationLineBytes :: MonadIO m => ParseLocation -> m CSize Source #

Get the value of the “`line_bytes`” field. When overloading is enabled, this is equivalent to

    get parseLocation #lineBytes

setParseLocationLineBytes :: MonadIO m => ParseLocation -> CSize -> m () Source #

Set the value of the “`line_bytes`” field. When overloading is enabled, this is equivalent to

    set parseLocation [ #lineBytes := value ]

## lineChars

the position in the line, as characters

getParseLocationLineChars :: MonadIO m => ParseLocation -> m CSize Source #

Get the value of the “`line_chars`” field. When overloading is enabled, this is equivalent to

    get parseLocation #lineChars

setParseLocationLineChars :: MonadIO m => ParseLocation -> CSize -> m () Source #

Set the value of the “`line_chars`” field. When overloading is enabled, this is equivalent to

    set parseLocation [ #lineChars := value ]

## lines

the line of the location in the parse buffer

getParseLocationLines :: MonadIO m => ParseLocation -> m CSize Source #

Get the value of the “`lines`” field. When overloading is enabled, this is equivalent to

    get parseLocation #lines

setParseLocationLines :: MonadIO m => ParseLocation -> CSize -> m () Source #

Set the value of the “`lines`” field. When overloading is enabled, this is equivalent to

    set parseLocation [ #lines := value ]